package com.ruoyi.book.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.book.mapper.BookInfoMapper;
import com.ruoyi.book.domain.BookInfo;
import com.ruoyi.book.service.BookInfoService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * 书籍信息Service业务层处理
 *
 * @author DongZeLiang
 * @date 2023-10-09
 */
@Service
public class BookInfoServiceImpl extends ServiceImpl<BookInfoMapper, BookInfo>  implements BookInfoService {
    @Autowired
    private BookInfoMapper bookInfoMapper;

    /**
     * 查询书籍信息列表
     *
     * @param bookInfo 书籍信息
     * @return 书籍信息
     */
    @Override
    public List<BookInfo> selectBookInfoList(BookInfo bookInfo) {
        return bookInfoMapper.selectBookInfoList(bookInfo);
    }
}
